收藏
回答

wx.getUserProfile版本兼容的问题

框架类型 问题类型 API/组件名称 终端类型 微信版本 基础库版本
小程序 Bug getUserProfile 微信安卓客户端 7.0.10 2.10.4

官方文档上写的是基础库从2.10.4开始支持,现在却报上来这个错误?

回答关注问题邀请回答
收藏

2 个回答

  • 刘辉
    刘辉
    03-24

    这里还有一个基础库版本是2.13.2的,是不是跟微信版本也有关系啊?求解,已经发到线上两天了,用户在反馈点击没反应

    03-24
    有用 1
    回复 1
    • 小李哥
      小李哥
      04-04
      微信总是这么做,习惯就好了
      04-04
      回复
  • Brother斌🎈
    Brother斌🎈
    03-24

    用if(wx.getUserProfile)判断能不能用试一下

    03-24
    有用
    回复 3
    • 刘辉
      刘辉
      03-24
      判断一下也可以,但是不知道4月13号以后,这些基础库版本在2.10.4以上,但又不支持getUserProfile的手机用户,用getUserInfo方法还能不能获取到真实的用户信息?
      03-24
      回复
    • 刘辉
      刘辉
      03-24
      03-24
      回复
    • Brother斌🎈
      Brother斌🎈
      03-24回复刘辉
      不能 到时候获取不到可以给用户匿名头像昵称或者让用户自己填
      03-24
      回复
登录 后发表内容
问题标签